export declare enum AsyncModuleStatus {
    /** 未加载 */
    none = 0,
    /** 加载中 */
    loading = 1,
    /** 已加载 */
    loaded = 2
}
export declare type AsyncModuleDef = {
    /** 模块名称，如：@fly-vue/core */
    name: string;
    /**
     * 路由fullPath匹配按需加载
     */
    match?: ((path: string) => boolean) | string;
    /** 模块JS，如：./modules/bingo_core/dll.js */
    jsUrl: string;
    /** 模块css，如：./modules/bingo_core/assets/css/app.css */
    cssUrl?: string;
    /** 依赖模块，如：['@fly-vue/core'] */
    dependencies?: string[];
    /** 处理状态，如：加载中 */
    status?: AsyncModuleStatus;
    /** webpack异步加载模块基础路径，未配置从jsUrl计算获取 */
    publicPath?: string;
};
